diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/bindings/modulegen__gcc_ILP32.py ns-3.36/src/visualizer/bindings/modulegen__gcc_ILP32.py
--- ns-3.35/src/visualizer/bindings/modulegen__gcc_ILP32.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/bindings/modulegen__gcc_ILP32.py	2022-04-30 18:23:58.186735200 -0700
@@ -69,6 +69,8 @@
     module.add_class('DefaultDeleter', import_from_module='ns.core', template_parameters=['ns3::TraceSourceAccessor'])
     ## event-id.h (module 'core'): ns3::EventId [class]
     module.add_class('EventId', import_from_module='ns.core')
+    ## event-id.h (module 'core'): ns3::EventId::UID [enumeration]
+    module.add_enum('UID', ['INVALID', 'NOW', 'DESTROY', 'RESERVED', 'VALID'], outer_class=root_module['ns3::EventId'], import_from_module='ns.core')
     ## hash.h (module 'core'): ns3::Hasher [class]
     module.add_class('Hasher', import_from_module='ns.core')
     ## inet6-socket-address.h (module 'network'): ns3::Inet6SocketAddress [class]
@@ -424,18 +426,18 @@
     ## callback.h (module 'core'): ns3::CallbackImpl<void, ns3::Ptr<ns3::Socket>, unsigned int, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> [class]
     module.add_class('CallbackImpl', import_from_module='ns.core', parent=root_module['ns3::CallbackImplBase'], template_parameters=['void', 'ns3::Ptr<ns3::Socket>', 'unsigned int', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty'])
     module.add_container('std::map< std::string, ns3::LogComponent * >', ('std::string', 'ns3::LogComponent *'), container_type='map')
+    module.add_container('std::set< ns3::TypeId >', 'ns3::TypeId', container_type='set')
+    module.add_container('std::vector< ns3::PyViz::RxPacketSample >', 'ns3::PyViz::RxPacketSample', container_type='vector')
+    module.add_container('std::vector< ns3::PyViz::TxPacketSample >', 'ns3::PyViz::TxPacketSample', container_type='vector')
+    module.add_container('std::vector< ns3::PyViz::PacketSample >', 'ns3::PyViz::PacketSample', container_type='vector')
     module.add_container('std::vector< std::string >', 'std::string', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::TransmissionSample >', 'ns3::PyViz::TransmissionSample', container_type='vector')
     module.add_container('ns3::PyViz::TransmissionSampleList', 'ns3::PyViz::TransmissionSample', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::PacketDropSample >', 'ns3::PyViz::PacketDropSample', container_type='vector')
     module.add_container('ns3::PyViz::PacketDropSampleList', 'ns3::PyViz::PacketDropSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::RxPacketSample >', 'ns3::PyViz::RxPacketSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::TxPacketSample >', 'ns3::PyViz::TxPacketSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::PacketSample >', 'ns3::PyViz::PacketSample', container_type='vector')
     module.add_container('std::set< unsigned int >', 'unsigned int', container_type='set')
     module.add_container('std::vector< ns3::PyViz::NetDeviceStatistics >', 'ns3::PyViz::NetDeviceStatistics', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::NodeStatistics >', 'ns3::PyViz::NodeStatistics', container_type='vector')
-    module.add_container('std::set< ns3::TypeId >', 'ns3::TypeId', container_type='set')
     module.add_container('std::vector< ns3::Ipv6Address >', 'ns3::Ipv6Address', container_type='vector')
     module.add_container('std::map< unsigned int, unsigned int >', ('unsigned int', 'unsigned int'), container_type='map')
     typehandlers.add_type_alias('void ( * ) ( std::ostream & )', 'ns3::TimePrinter')
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/bindings/modulegen__gcc_LP64.py ns-3.36/src/visualizer/bindings/modulegen__gcc_LP64.py
--- ns-3.35/src/visualizer/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/bindings/modulegen__gcc_LP64.py	2022-04-30 18:23:58.186735200 -0700
@@ -69,6 +69,8 @@
     module.add_class('DefaultDeleter', import_from_module='ns.core', template_parameters=['ns3::TraceSourceAccessor'])
     ## event-id.h (module 'core'): ns3::EventId [class]
     module.add_class('EventId', import_from_module='ns.core')
+    ## event-id.h (module 'core'): ns3::EventId::UID [enumeration]
+    module.add_enum('UID', ['INVALID', 'NOW', 'DESTROY', 'RESERVED', 'VALID'], outer_class=root_module['ns3::EventId'], import_from_module='ns.core')
     ## hash.h (module 'core'): ns3::Hasher [class]
     module.add_class('Hasher', import_from_module='ns.core')
     ## inet6-socket-address.h (module 'network'): ns3::Inet6SocketAddress [class]
@@ -424,18 +426,18 @@
     ## callback.h (module 'core'): ns3::CallbackImpl<void, ns3::Ptr<ns3::Socket>, unsigned int, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> [class]
     module.add_class('CallbackImpl', import_from_module='ns.core', parent=root_module['ns3::CallbackImplBase'], template_parameters=['void', 'ns3::Ptr<ns3::Socket>', 'unsigned int', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty', 'ns3::empty'])
     module.add_container('std::map< std::string, ns3::LogComponent * >', ('std::string', 'ns3::LogComponent *'), container_type='map')
+    module.add_container('std::set< ns3::TypeId >', 'ns3::TypeId', container_type='set')
+    module.add_container('std::vector< ns3::PyViz::RxPacketSample >', 'ns3::PyViz::RxPacketSample', container_type='vector')
+    module.add_container('std::vector< ns3::PyViz::TxPacketSample >', 'ns3::PyViz::TxPacketSample', container_type='vector')
+    module.add_container('std::vector< ns3::PyViz::PacketSample >', 'ns3::PyViz::PacketSample', container_type='vector')
     module.add_container('std::vector< std::string >', 'std::string', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::TransmissionSample >', 'ns3::PyViz::TransmissionSample', container_type='vector')
     module.add_container('ns3::PyViz::TransmissionSampleList', 'ns3::PyViz::TransmissionSample', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::PacketDropSample >', 'ns3::PyViz::PacketDropSample', container_type='vector')
     module.add_container('ns3::PyViz::PacketDropSampleList', 'ns3::PyViz::PacketDropSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::RxPacketSample >', 'ns3::PyViz::RxPacketSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::TxPacketSample >', 'ns3::PyViz::TxPacketSample', container_type='vector')
-    module.add_container('std::vector< ns3::PyViz::PacketSample >', 'ns3::PyViz::PacketSample', container_type='vector')
     module.add_container('std::set< unsigned int >', 'unsigned int', container_type='set')
     module.add_container('std::vector< ns3::PyViz::NetDeviceStatistics >', 'ns3::PyViz::NetDeviceStatistics', container_type='vector')
     module.add_container('std::vector< ns3::PyViz::NodeStatistics >', 'ns3::PyViz::NodeStatistics', container_type='vector')
-    module.add_container('std::set< ns3::TypeId >', 'ns3::TypeId', container_type='set')
     module.add_container('std::vector< ns3::Ipv6Address >', 'ns3::Ipv6Address', container_type='vector')
     module.add_container('std::map< unsigned int, unsigned int >', ('unsigned int', 'unsigned int'), container_type='map')
     typehandlers.add_type_alias('void ( * ) ( std::ostream & )', 'ns3::TimePrinter')
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/CMakeLists.txt ns-3.36/src/visualizer/CMakeLists.txt
--- ns-3.35/src/visualizer/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/visualizer/CMakeLists.txt	2022-04-30 18:23:58.178735000 -0700
@@ -0,0 +1,43 @@
+include_directories(${Python3_INCLUDE_DIRS})
+
+build_lib(
+  LIBNAME visualizer
+  SOURCE_FILES model/pyviz.cc
+               model/visual-simulator-impl.cc
+  HEADER_FILES model/pyviz.h
+  LIBRARIES_TO_LINK
+    ${Python3_LIBRARIES}
+    ${libcore}
+    ${libinternet}
+    ${libwifi}
+    ${libpoint-to-point}
+    ${libcsma}
+    ${libbridge}
+    ${libwimax}
+    ${liblte}
+    ${libmesh}
+)
+
+# move visualizer folder to build/bindings/python, which allows us to add only
+# PYTHONPATH=ns-3-dev/build/bindings/python
+file(
+  GLOB_RECURSE
+  visualizer_files
+  ${CMAKE_CURRENT_SOURCE_DIR}/visualizer/*
+)
+foreach(
+  file
+  ${visualizer_files}
+)
+  string(
+    REPLACE "${CMAKE_CURRENT_SOURCE_DIR}"
+            "${CMAKE_OUTPUT_DIRECTORY}/bindings/python"
+            destination
+            ${file}
+  )
+  configure_file(
+    ${file}
+    ${destination}
+    COPYONLY
+  )
+endforeach()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/examples/CMakeLists.txt ns-3.36/src/visualizer/examples/CMakeLists.txt
--- ns-3.35/src/visualizer/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/visualizer/examples/CMakeLists.txt	2022-04-30 18:23:58.186735200 -0700
@@ -0,0 +1 @@
+
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/model/pyviz.h ns-3.36/src/visualizer/model/pyviz.h
--- ns-3.35/src/visualizer/model/pyviz.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/model/pyviz.h	2022-04-30 18:23:58.186735200 -0700
@@ -210,10 +210,20 @@
 
 
   // Yes, I know, this is just a utility function, not really related to the class in any way.
-
+  /**
+   * Utility function - clips a line to a bounding box.
+   * \param [in] boundsX1 Bounding box, minimum X coord
+   * \param [in] boundsY1 Bounding box, minimum Y coord
+   * \param [in] boundsX2 Bounding box, maximum X coord
+   * \param [in] boundsY2 Bounding box, maximum Y coord
+   * \param [in,out] lineX1 Line, minimum X coord (any on input, clipped to the bounding box on output)
+   * \param [in,out] lineY1 Line, minimum Y coord (any on input, clipped to the bounding box on output)
+   * \param [in,out] lineX2 Line, maximum X coord (any on input, clipped to the bounding box on output)
+   * \param [in,out] lineY2 Line, maximum Y coord (any on input, clipped to the bounding box on output)
+   */
   // -#- @lineX1(direction=inout); @lineY1(direction=inout); @lineX2(direction=inout); @lineY2(direction=inout) -#-
-  static void LineClipping (double boundsX1, double boundsY1, double boundsX2, double boundsY2, double &lineX1, double &lineY1, double &lineX2, double &lineY2); ///< don't break this line or pybindgen will not be able to pick up the above annotation :(
-
+  static void LineClipping (double boundsX1, double boundsY1, double boundsX2, double boundsY2, double &lineX1, double &lineY1, double &lineX2, double &lineY2);
+  // Don't break the above line or pybindgen will not be able to pick up the above annotation :(
 
 private:
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/model/visual-simulator-impl.cc ns-3.36/src/visualizer/model/visual-simulator-impl.cc
--- ns-3.35/src/visualizer/model/visual-simulator-impl.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/model/visual-simulator-impl.cc	2022-04-30 18:23:58.186735200 -0700
@@ -18,6 +18,8 @@
  * Author: Gustavo Carneiro <gjcarneiro@gmail.com> <gjc@inescporto.pt>
  */
 #include <Python.h>
+#undef HAVE_PTHREAD_H
+#undef HAVE_SYS_STAT_H
 #include "visual-simulator-impl.h"
 #include "ns3/default-simulator-impl.h"
 #include "ns3/log.h"
@@ -31,7 +33,10 @@
 
 namespace
 {
-/// Get an object factory configured to the default simulator implementation
+/**
+ * Get an object factory configured to the default simulator implementation
+ * \return an object factory.
+ */
 ObjectFactory
 GetDefaultSimulatorImplFactory ()
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/model/visual-simulator-impl.h ns-3.36/src/visualizer/model/visual-simulator-impl.h
--- ns-3.35/src/visualizer/model/visual-simulator-impl.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/model/visual-simulator-impl.h	2022-04-30 18:23:58.186735200 -0700
@@ -81,7 +81,11 @@
   void NotifyConstructionCompleted (void);
 
 private:
-  Ptr<SimulatorImpl> GetSim (); ///< get the simulator implementation
+  /**
+   * Get the simulator implementation
+   * \return a pointer to the simulator implementation
+   */
+  Ptr<SimulatorImpl> GetSim ();
   Ptr<SimulatorImpl> m_simulator; ///< the simulator implementation
   ObjectFactory m_simulatorImplFactory; ///< simulator implementation factory
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/base.py ns-3.36/src/visualizer/visualizer/base.py
--- ns-3.35/src/visualizer/visualizer/base.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/base.py	2022-04-30 18:23:58.186735200 -0700
@@ -16,9 +16,9 @@
 
 ## PyVizObject class
 class PyVizObject(GObject.GObject):
-    ## @var __gtype_name__
-    #  global type name
+    ##  global type name
     __gtype_name__ = "PyVizObject"
+
     ## Returns tooltip text string.
     #
     ## @param tooltip: tooltip object.
@@ -47,11 +47,12 @@
     ## @var is_virtual
     #  is virtual
     def __init__(self, is_wireless=None, is_virtual=False):
-        ''' Initialize function.
-
+        """!
+        Initialize function.
+        @param self The current class
         @param is_wireless is wireless flag
         @param is_virtual is virtual flag
-        '''
+        """
         assert is_virtual or is_wireless is not None
         self.is_wireless = is_wireless
         self.is_virtual = is_virtual
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/core.py ns-3.36/src/visualizer/visualizer/core.py
--- ns-3.35/src/visualizer/visualizer/core.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/core.py	2022-04-30 18:23:58.186735200 -0700
@@ -110,18 +110,19 @@
     #  selected property
     ## @var highlighted
     #  highlighted property
-    ## @var __gsignals__
-    # signal emitted whenever a tooltip is about to be shown for the node
-    # the first signal parameter is a python list of strings, to which information can be appended
+
+    ## signal emitted whenever a tooltip is about to be shown for the node
+    ## the first signal parameter is a python list of strings, to which 
+    ## information can be appended
     __gsignals__ = {
         'query-extra-tooltip-info': (GObject.SignalFlags.RUN_LAST, None, (object,)),
         }
 
     def __init__(self, visualizer, node_index):
-        """ Initialize function.
+        """! Initialize function.
         @param self The object pointer.
-        @param visualizer: visualizer object
-        @param node_index: node index
+        @param visualizer visualizer object
+        @param node_index node index
         """
         super(Node, self).__init__()
 
@@ -524,7 +525,6 @@
 
         @param self: class object.
         @param channel: channel.
-        @return none
         """
         self.channel = channel
         self.canvas_item = GooCanvas.CanvasEllipse(radius_x=30, radius_y=30,
@@ -576,7 +576,6 @@
         @param self: class object.
         @param node1: class object.
         @param node2: class object.
-        @return none
         """
         assert isinstance(node1, Node)
         assert isinstance(node2, (Node, Channel))
@@ -621,7 +620,6 @@
 
         @param self: class object.
         @param viz: class object.
-        @return none
         """
         super(SimulationThread, self).__init__()
         assert isinstance(viz, Visualizer)
@@ -689,8 +687,8 @@
     #  none
     ## @var SELECTED
     #  selected
-    ## @var __slots__
-    #  enumeration
+
+    ## enumeration
     __slots__ = []
 ShowTransmissionsMode.ALL = ShowTransmissionsMode()
 ShowTransmissionsMode.NONE = ShowTransmissionsMode()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/hud.py ns-3.36/src/visualizer/visualizer/hud.py
--- ns-3.35/src/visualizer/visualizer/hud.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/hud.py	2022-04-30 18:23:58.186735200 -0700
@@ -25,7 +25,6 @@
 
         @param self: this object
         @param viz: visualization object
-        @return none
         """
         self.viz = viz
         self.color = 0x8080C0FF
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/ipython_view.py ns-3.36/src/visualizer/visualizer/ipython_view.py
--- ns-3.35/src/visualizer/visualizer/ipython_view.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/ipython_view.py	2022-04-30 18:23:58.186735200 -0700
@@ -84,7 +84,6 @@
     @param cout: Console standard output.
     @param cerr: Console standard error.
     @param input_func: Replacement for builtin raw_input()
-    @return none
     """
     io = IPython.utils.io
     if input_func:
@@ -149,6 +148,7 @@
   def __update_namespace(self):
     """!
     Update self.IP namespace for autocompletion with sys.modules
+    @return none
     """
     for k, v in list(sys.modules.items()):
         if not '.' in k:
@@ -157,6 +157,7 @@
   def execute(self):
     """!
     Executes the current line provided by the shell object.
+    @return none
     """
     self.history_level = 0
     orig_stdout = sys.stdout
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/plugins/interface_statistics.py ns-3.36/src/visualizer/visualizer/plugins/interface_statistics.py
--- ns-3.35/src/visualizer/visualizer/plugins/interface_statistics.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/plugins/interface_statistics.py	2022-04-30 18:23:58.186735200 -0700
@@ -18,13 +18,12 @@
 
     ## NetDevStats class
     class NetDevStats(object):
-        ## @var __slots__
-        #  class members
+        ## class members
         __slots__ = ['rxPackets', 'rxBytes', 'txPackets', 'txBytes',
                      'rxPacketRate', 'rxBitRate', 'txPacketRate', 'txBitRate']
 
     def __init__(self, visualizer):
-        """
+        """!
         Collects interface statistics for all nodes.
         @param self this object
         @param visualizer visualizer object
@@ -123,7 +122,7 @@
         ) = range(9)
 
     def __init__(self, visualizer, node_index, statistics_collector):
-        """
+        """!
         Initializer.
         @param self this object
         @param visualizer the visualizer object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/plugins/ipv4_routing_table.py ns-3.36/src/visualizer/visualizer/plugins/ipv4_routing_table.py
--- ns-3.35/src/visualizer/visualizer/plugins/ipv4_routing_table.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/plugins/ipv4_routing_table.py	2022-04-30 18:23:58.186735200 -0700
@@ -25,12 +25,11 @@
         ) = range(5)
 
     def __init__(self, visualizer, node_index):
-        """
+        """!
         Initializer
         @param self this object
         @param visualizer visualizer object
         @param node_index the node index
-        @return the statistics
         """
         InformationWindow.__init__(self)
         self.win = Gtk.Dialog(parent=visualizer.window,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/plugins/olsr.py ns-3.36/src/visualizer/visualizer/plugins/olsr.py
--- ns-3.35/src/visualizer/visualizer/plugins/olsr.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/plugins/olsr.py	2022-04-30 18:23:58.186735200 -0700
@@ -32,7 +32,6 @@
         @param self this object
         @param visualizer visualizer object
         @param node_index the node index
-        @return none
         """
         InformationWindow.__init__(self)
         self.win = Gtk.Dialog(parent=visualizer.window,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/plugins/show_last_packets.py ns-3.36/src/visualizer/visualizer/plugins/show_last_packets.py
--- ns-3.35/src/visualizer/visualizer/plugins/show_last_packets.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/plugins/show_last_packets.py	2022-04-30 18:23:58.186735200 -0700
@@ -95,7 +95,7 @@
 
 
     def __init__(self, visualizer, node_index):
-        """
+        """!
         Initializer
         @param self this object
         @param visualizer the visualizer object
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/plugins/wifi_intrastructure_link.py ns-3.36/src/visualizer/visualizer/plugins/wifi_intrastructure_link.py
--- ns-3.35/src/visualizer/visualizer/plugins/wifi_intrastructure_link.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/plugins/wifi_intrastructure_link.py	2022-04-30 18:23:58.186735200 -0700
@@ -114,7 +114,6 @@
         """! Initialize function.
         @param self The object pointer.
         @param dummy_viz A dummy visualizer
-        @return none
         """
         self.access_points = {} # bssid -> node
         self.stations = [] # list of (sta_netdevice, viz_node, wifi_link)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/visualizer/visualizer/svgitem.py ns-3.36/src/visualizer/visualizer/svgitem.py
--- ns-3.35/src/visualizer/visualizer/svgitem.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/visualizer/visualizer/svgitem.py	2022-04-30 18:23:58.186735200 -0700
@@ -32,13 +32,13 @@
     #  maximum x
     ## @var bounds_y2
     #  maximum y
-    ## @var __gproperties__
-    # setup our custom properties
+
+    ## setup our custom properties
     __gproperties__ = {
         'x': (float,                                # property type
               'X',                                  # property nick name
               'The x coordinate of a SVG image',    # property description
-              -10e6,                                    # property minimum value
+              -10e6,                                # property minimum value
               10e6,                                 # property maximum value
               0,                                    # property default value
               GObject.PARAM_READWRITE),             # property flags
@@ -69,9 +69,13 @@
         }
 
     def __init__(self, x, y, rsvg_handle, **kwargs):
-        """
+        """!
         Initializer
         @param self this object
+        @param x The x coordinate of a SVG image
+        @param y The y coordinate of a SVG image
+        @param rsvg_handle SVG handle
+        @param kwargs key-value arguments 
         """
         super(SvgItem, self).__init__(**kwargs)
         assert isinstance(rsvg_handle, rsvg.Handle)
